<?php
// finance/index.php 主框架页面
session_start();
require_once '../config.php';

// 登录验证
if (!isset($_SESSION['user_id'])) {
    header("Location: ../login.php");
    exit;
}
?>
<!DOCTYPE html>
<html lang="zh-CN">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>财务管理 - <?= title ?></title>
    <link rel="stylesheet" href="./style.css">
    <style>
        /* 基础样式 */
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
            background: #f0f2f5;
        }

        /* 侧边栏容器 */
        .sidebar {
            position: fixed;
            left: 0;
            top: 0;
            width: 240px;
            height: 100vh;
            background: #2c3e50;
            padding: 20px 0;
            box-shadow: 2px 0 5px rgba(0, 0, 0, 0.1);
            z-index: 100;
        }

        /* 侧边栏导航 */
        .nav-menu {
            list-style: none;
        }

        .nav-item {
            margin: 8px 15px;
        }

        .nav-link {
            display: block;
            padding: 12px 20px;
            color: #ffffff !important;
            text-decoration: none;
            border-radius: 4px;
            transition: all 0.3s;
        }

        .nav-link:hover {
            background: #34495e;
            color: #ecf0f1;
        }

        /* 返回按钮样式 */
        .back-btn {
            background: #3498db;
            margin-bottom: 30px;
        }

        .back-btn:hover {
            background: #2980b9;
        }

        /* 右侧内容区 */
        .content-frame {
            margin-left: 240px;
            height: 100vh;
        }

        iframe {
            width: 100%;
            height: 100%;
            border: none;
            background: #fff;
        }
    </style>
</head>

<body>
    <!-- 侧边栏 -->
    <nav class="sidebar">
        <ul class="nav-menu">
            <li class="nav-item">
                <a href="../home.php" class="nav-link back-btn">
                    返回首页
                </a>
            </li>
            <!-- 采购成本核算 -->
            <li class="nav-item">
                <a href="javascript:void(0)"
                    class="nav-link"
                    onclick="loadPage('purchase_cost_analysis.php')">
                    采购成本核算
                </a>
            </li>
            <!-- 生产成本核算 -->
            <li class="nav-item">
                <a href="javascript:void(0)"
                    class="nav-link"
                    onclick="loadPage('production_cost_analysis.php')">
                    生产成本核算
                </a>
            </li>
            <!-- 销售收入统计 -->
            <li class="nav-item">
                <a href="javascript:void(0)"
                    class="nav-link"
                    onclick="loadPage('sales_revenue_statistics.php')">
                    销售收入统计
                </a>
            </li>
            <!-- 利润分析 -->
            <li class="nav-item">
                <a href="javascript:void(0)"
                    class="nav-link"
                    onclick="loadPage('profit_analysis.php')">
                    利润分析
                </a>
            </li>
            <!-- 应收应付管理 -->
            <li class="nav-item">
                <a href="javascript:void(0)"
                    class="nav-link"
                    onclick="loadPage('receivable_payable_management.php')">
                    应收应付管理
                </a>
            </li>
        </ul>
    </nav>

    <!-- 内容区 -->
    <div class="content-frame">
        <iframe name="contentFrame" id="mainFrame" src="purchase_cost_analysis.php"></iframe>
    </div>

    <script>
        // 页面加载函数
        function loadPage(pageUrl) {
            document.getElementById('mainFrame').src = pageUrl;
        }

        // 初始化加载默认页
        window.onload = function() {
            loadPage('purchase_cost_analysis.php');
        }
    </script>
</body>

</html>